Bug 218147 - print/lilypond-devel: update to 2.19.81
Summary: print/lilypond-devel: update to 2.19.81
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2017-03-26 19:40 UTC by m.ne
Modified: 2018-02-09 19:41 UTC (History)
4 users (show)

See Also:


Attachments
Patch for print/lilypond-devel to 2.19.58 (1.60 KB, patch)
2017-03-26 19:40 UTC, m.ne
no flags Details | Diff
Patch for print/lilypond-devel to 2.19.80 (3.36 KB, patch)
2018-01-16 00:58 UTC, m.ne
no flags Details | Diff
Patch for print/lilypond-devel to 2.19.80 (3.36 KB, patch)
2018-01-16 17:49 UTC, m.ne
no flags Details | Diff
Patch for print/lilypond-devel to 2.19.80 (3.25 KB, patch)
2018-01-16 22:26 UTC, m.ne
no flags Details | Diff
Patch for print/lilypond-devel to 2.19.80 (4.12 KB, patch)
2018-01-27 12:46 UTC, m.ne
no flags Details | Diff
Patch for print/lilypond-devel to 2.19.80 (4.13 KB, patch)
2018-01-28 11:37 UTC, m.ne
no flags Details | Diff
Patch for print/lilypond-devel to 2.19.81 (4.30 KB, patch)
2018-01-30 11:34 UTC, m.ne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2017-03-26 19:40:14 UTC
Created attachment 181215 [details]
Patch for print/lilypond-devel to 2.19.58
Comment 1 Bartek Rutkowski freebsd_committer 2017-03-28 10:13:16 UTC
This fails to build with:
====>> Checking for filesystem violations... done
====>> Error: Filesystem touched during build:
extra: var/db/fontconfig/67c974dbe2665f28be028ef9a5400184-le64.cache-7
====>> Cleaning up wrkdir
===>  Cleaning for lilypond-devel-2.19.58
build of print/lilypond-devel ended at Tue Mar 28 12:11:24 CEST 2017
build time: 00:03:52
!!! build failure encountered !!!
Comment 2 Bryan Drewery freebsd_committer 2017-04-02 16:50:00 UTC
(In reply to Bartek Rutkowski from comment #1)
> This fails to build with:
> ====>> Checking for filesystem violations... done
> ====>> Error: Filesystem touched during build:
> extra: var/db/fontconfig/67c974dbe2665f28be028ef9a5400184-le64.cache-7
> ====>> Cleaning up wrkdir
> ===>  Cleaning for lilypond-devel-2.19.58
> build of print/lilypond-devel ended at Tue Mar 28 12:11:24 CEST 2017
> build time: 00:03:52
> !!! build failure encountered !!!

It's a poudriere bug. See Bug 215076 for more information.

For now please test with BUILD_AS_NON_ROOT=yes.
Comment 3 Bryan Drewery freebsd_committer 2017-04-02 16:52:04 UTC
(In reply to Bryan Drewery from comment #2)
> (In reply to Bartek Rutkowski from comment #1)
> > This fails to build with:
> > ====>> Checking for filesystem violations... done
> > ====>> Error: Filesystem touched during build:
> > extra: var/db/fontconfig/67c974dbe2665f28be028ef9a5400184-le64.cache-7
> > ====>> Cleaning up wrkdir
> > ===>  Cleaning for lilypond-devel-2.19.58
> > build of print/lilypond-devel ended at Tue Mar 28 12:11:24 CEST 2017
> > build time: 00:03:52
> > !!! build failure encountered !!!
> 
> It's a poudriere bug. See Bug 215076 for more information.
> 
> For now please test with BUILD_AS_NON_ROOT=yes.

Poudriere bug logged at Bug 218308
Comment 4 Jochen Neumeister freebsd_committer 2017-12-25 13:10:31 UTC
Any news here?
Comment 5 Jochen Neumeister freebsd_committer 2018-01-15 13:51:34 UTC
http://joneumbox.org/data/11-1-AMD64-ports/2018-01-14_09h29m56s/logs/lilypond-devel-2.19.58.log

There is a build fs violation that you could try to fix.
Comment 6 m.ne 2018-01-16 00:58:40 UTC
Created attachment 189777 [details]
Patch for print/lilypond-devel to 2.19.80
Comment 7 m.ne 2018-01-16 01:07:47 UTC
(In reply to Jochen Neumeister from comment #5)
Thanks for the reminder. I was a bit stumped on what was happening in detail, but have eventually noticed what caused the failure. See the updated patch for an attempt to deal with the issue.
Comment 8 Jochen Neumeister freebsd_committer 2018-01-16 16:49:06 UTC
Heya,

thx for the new patch :-)

in  patch-mf_00-lilypond-fonts.conf.in:
+ <cachedir>%%WRKDIR%%</cachedir>

I think this is wrong, it will probably leak the build directory to the installed config. Do you have another solution here?

Greetings
Jochen
Comment 9 m.ne 2018-01-16 17:48:56 UTC
(In reply to Jochen Neumeister from comment #8)
Eww, messed up the post-build line removing that line again when not needed anymore. I'll update the patch in a minute.

I agree that this solution is a bit caveman style. A probably nicer way would be to control the cache dir via XDG_CACHE_HOME, but adding
MAKE_ENV=	XDG_CACHE_HOME=${WRKDIR}
to the Makefile (as several other ports have) sadly did not have any effect, nor did the vriations of that line I tried. I'm not sure yet if that's something I can control within the port, or if makeinfo just doesn't honour that environment variable.
Comment 10 m.ne 2018-01-16 17:49:03 UTC
Created attachment 189808 [details]
Patch for print/lilypond-devel to 2.19.80

Fixed the post-build target messed up in the previous iteration.
Comment 11 Jochen Neumeister freebsd_committer 2018-01-16 21:25:48 UTC
Did you use the wrong patch? The last 2 are identical.

Not tested:

post-patch:
-	${FIND} ${WRKSRC} -name "*.cc" | ${XARGS} \
+	@${FIND} ${WRKSRC} -name "*.cc" | ${XARGS} \
 	    ${REINPLACE_CMD} -e 's|isinf[ ]*(|::isinf(|g' -e 's|isnan|::isnan|g'
-	${REINPLACE_CMD} -e 's|<FlexLexer.h>|"/usr/include/FlexLexer.h"|' \
+	@${REINPLACE_CMD} -e 's|<FlexLexer.h>|"/usr/include/FlexLexer.h"|' \
 	    ${WRKSRC}/lily/include/includable-lexer.hh
+	@${MKDIR} ${WRKDIR}/fontconfig/cache
+	@${CP} ${FILESDIR}/fonts.conf ${WRKDIR}/.fonts.conf
+	@${REINPLACE_CMD} -e 's|%%FONTDIR%%|${WRKDIR}/fontconfig/cache/|' \
+	    ${WRKDIR}/.fonts.conf
Comment 12 m.ne 2018-01-16 22:26:51 UTC
Created attachment 189814 [details]
Patch for print/lilypond-devel to 2.19.80
Comment 13 m.ne 2018-01-16 22:47:36 UTC
(In reply to Jochen Neumeister from comment #11)
There actually was a change between the previous two patches that took care of the leak of the build directory. But with a suitable fonts.conf your suggestion seems to work just fine.

Thanks for the feedback,
Martin
Comment 14 Jochen Neumeister freebsd_committer 2018-01-27 07:52:31 UTC
(In reply to m.ne from comment #12)


Moin :-)

Sorry for the late feedback :-)

Technically it builds fine in poudriere, but it does some scary "GUI" stuff when building it "normally" -- i.e. opening a dialog window... so I think this still needs some work.
Comment 15 m.ne 2018-01-27 12:46:16 UTC
Created attachment 190110 [details]
Patch for print/lilypond-devel to 2.19.80
Comment 16 m.ne 2018-01-27 13:15:16 UTC
(In reply to Jochen Neumeister from comment #14)
How embarrassing. It looks like there's quite a bit wrong with the patch I "backported" from print/lilypond (cf. https://svnweb.freebsd.org/ports?view=revision&revision=419253). In short: the altered script doesn't test for what it's supposed to, but the test is also wrong, so it succeeds anyway...
Comment 17 m.ne 2018-01-28 11:37:41 UTC
Created attachment 190128 [details]
Patch for print/lilypond-devel to 2.19.80

Actually fixed the text. No idea why it didn't bail on me yesterday...
Comment 18 m.ne 2018-01-30 11:34:04 UTC
Created attachment 190194 [details]
Patch for print/lilypond-devel to 2.19.81
Comment 19 commit-hook freebsd_committer 2018-02-09 19:36:25 UTC
A commit references this bug:

Author: joneum
Date: Fri Feb  9 19:35:56 UTC 2018
New revision: 461329
URL: https://svnweb.freebsd.org/changeset/ports/461329

Log:
  print/lilypond-devel: Update to 2.19.81

   -fix violation

   -add patch for fontconfig

  PR:		218147
  Submitted by:	m.ne@gmx.net (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13913

Changes:
  head/print/lilypond-devel/Makefile
  head/print/lilypond-devel/distinfo
  head/print/lilypond-devel/files/fonts.conf
  head/print/lilypond-devel/files/patch-configure
  head/print/lilypond-devel/pkg-plist
Comment 20 Jochen Neumeister freebsd_committer 2018-02-09 19:41:50 UTC
Landed. Thanks :-)